## ros-kinetic-cv-bridge 1.12.8

=== debian/changelog ===
ros-kinetic-cv-bridge (1.12.8-0xenial) xenial; urgency=high

  * Merge pull request #191 <https://github.com/ros-perception/vision_opencv/issues/191> from patrickelectric/kinetic
    cv2_to_imgmsg: step must be int
  * cv2_to_imgmsg: step must be int
    Signed-off-by: Patrick José Pereira <mailto:patrickelectric@gmail.com>
  * Contributors: Patrick José Pereira, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-kinetic-cv-bridge (1.12.7-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 23:00:00 -0000

ros-kinetic-cv-bridge (1.12.6-0xenial) xenial; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 23:00:00 -0000

ros-kinetic-cv-bridge (1.12.5-0xenial) xenial; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-kinetic-cv-bridge (1.12.4-0xenial) xenial; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 23:00:00 -0000

ros-kinetic-cv-bridge (1.12.3-0xenial) xenial; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy
  * Contributors: Kentaro Wada, Lukas Bulwahn, Maarten de Vries

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 23:00:00 -0000

ros-kinetic-cv-bridge (1.12.2-0xenial) xenial; urgency=high

  * Specify background label when colorizing label image
  * Adjust to arbitrary image channels like 32FC40
    Proper fix for #141 <https://github.com/ros-perception/vision_opencv/issues/141>
  * Remove unexpectedly included print statement
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-kinetic-cv-bridge (1.12.1-0xenial) xenial; urgency=high

  * split the conversion tests out of enumerants
  * support is_bigendian in Python
    Fixes #114 <https://github.com/ros-perception/vision_opencv/issues/114>
    Also fixes mono16 test
  * Support compressed Images messages in python for indigo
    - Add cv2_to_comprssed_imgmsg: Convert from cv2 image to compressed image ros msg.
    - Add comprssed_imgmsg_to_cv2:   Convert the compress message to a new image.
    - Add compressed image tests.
    - Add time to msgs (compressed and regular).
    add enumerants test for compressed image.
    merge the compressed tests with the regular ones.
    better comment explanation. I will squash this commit.
    Fix indentation
    fix typo mistage: from .imgmsg_to_compressed_cv2 to .compressed_imgmsg_to_cv2.
    remove cv2.CV_8UC1
    remove rospy and time depndency.
    change from IMREAD_COLOR to IMREAD_ANYCOLOR.
    - make indentaion of 4.
    - remove space trailer.
    - remove space from empty lines.
    - another set of for loops, it will make things easier to track. In that new set,  just have the number of channels in ([],1,3,4) (ignore two for jpg). from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721943
    - keep the OpenCV error message. from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721013
    add debug print for test.
    add case for 4 channels in test.
    remove 4 channels case from compressed test.
    add debug print for test.
    change typo of format.
    fix typo in format. change from dip to dib.
    change to IMREAD_ANYCOLOR as python code. (as it should).
    rename TIFF to tiff
    Sperate the tests one for regular images and one for compressed.
    update comment
  * Add CvtColorForDisplayOptions with new colormap param
  * fix doc jobs
  * Add python binding for cv_bridge::cvtColorForDisplay
  * Don't colorize float image as label image
    This is a bug and image whose encoding is other than 32SC1 should not be

