=== debian/control ===
Source: ros-kinetic-cv-bridge
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-dev, python-numpy, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-opencv3 (>= 3.3.0), ros-kinetic-rosconsole, ros-kinetic-rostest, ros-kinetic-sensor-msgs
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-kinetic-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-dev, ros-kinetic-opencv3 (>= 3.3.0), ros-kinetic-rosconsole, ros-kinetic-sensor-msgs
Description: This contains CvBridge, which converts between ROS Image messages and OpenCV images.
